gap-io (4.8.2+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/tests:
      - d/t/makecheck.tst, update package version.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 24 Nov 2023 14:47:53 +0000

gap-io (4.8.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - d/control:
      - Standards Version, bump to 4.6.2 (no change);
    - d/copyright:
      - copyright year tuples, update;
    - d/tests:
      - d/t/makecheck.tst, update package version.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Sep 2023 10:10:53 +0000

gap-io (4.8.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - migration to gap 4.12.1:
      - d/control: refresh;
    - d/copyright:
      - Files-Excluded, refresh;
    - d/clean, adapt;
    - d/tests:
      - d/t/makecheck.tst, update package version.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Oct 2022 18:15:57 +0000

gap-io (4.7.3+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/copyright:
      - Files-Excluded, refresh;
    - d/p/upstream-fix-Makefile_gappkg-CPPFLAGS.path, fixed unpstream;
    - d/tests:
      - d/t/makecheck.tst, update package version.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Oct 2022 17:32:44 +0000

gap-io (4.7.2+ds-2) unstable; urgency=medium

  * Debianization:
    - d/watch, now use GitHub API to avoid breaking change from GitHub web UI
      (see https://lists.debian.org/debian-devel/2022/09/msg00229.html).
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/copyright:
      - copyright year tuples, update;
    - d/s/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Oct 2022 16:34:35 +0000

gap-io (4.7.2+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/tests:
      - d/t/makecheck.tst, update package version.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Oct 2021 10:27:07 +0000

gap-io (4.7.1+ds-4) unstable; urgency=medium

  * Debianization:
    - migration to gap 4.11.1:
      - d/control: refresh;
      - d/rules: configure according to multiarch material (see #987160);
      - d/patches/debianization.patch, discard (idem);
    - d/rules:
      - override_dh_auto_test target, now check build options;
    - d/patches:
      - d/p/upstream-fix-Makefile_gappkg-CPPFLAGS.path, introduce;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 10 Oct 2021 11:52:08 +0000

gap-io (4.7.1+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Aug 2021 16:17:20 +0000

gap-io (4.7.1+ds-2) experimental; urgency=medium

  * FTBFS fix release, neutralize offline tests at build time.
  * Debianization:
    - d/rules:
      - override_dh_auto_test target, neutralize offline test;
    - d/clean, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 18 Apr 2021 19:21:13 +0000

gap-io (4.7.1+ds-1) experimental; urgency=medium

  * New upstream nano version (new build scheme)
  * Debianization:
    - d/copyright:
      - copyright year tuple, update;
      - Files-Excluded, refresh;
    - d/control:
      - Standards Version, bump to 4.5.1 (no change);
      - Build-Depends field, discard autoconf-archive ;
    - d/rules:
      - override_dh_autoreconf target, introduce;
      - override_dh_auto_{build,test} targets, introduce;
      - override_dh_auto_install, refresh;
    - d/patches/*:
      - d/p/debianization.patch, refresh;
    - d/tests:
      - d/t/control, harden;
      - d/t/makecheck.tst, update;
    - d/clean, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 18 Apr 2021 15:54:56 +0000

gap-io (4.7.0+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - copyright year tuple, update;
    - debian/control:
      - Maintainer address, update;
      - Rules-Requires-Root, introduce and set to no;
      - Depends field:
        - gap, bump to 4.11.0 ;
        - gapkernel:Depends substvars, introduce (Closes: #958495);
      - Standards Version, bump to 4.5.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 30 Apr 2020 19:04:51 +0000

gap-io (4.7.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded, refresh;
    - debian/patches/*:
      - d/p/upstream-sys_param-MAXPATHLEN.patch, obsoleted;
    - debian/makedoc.g, update;
    - debian/tests/makecheck.tst, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jul 2019 14:09:57 +0000

gap-io (4.6.0+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Depends field, gap, bump to 4r10p2-1~ ;
      - Standards Version, bump to 4.4.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 11 Jul 2019 15:27:51 +0000

gap-io (4.6.0+ds-2) experimental; urgency=medium

  * Debianization:
    - debian/control:
      - debhelper, bump to 12;
    - debian/compat, discard;
    - debian/patches/*:
      - d/p/upstream-sys_param-MAXPATHLEN.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 May 2019 12:49:16 +0000

gap-io (4.6.0+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - copyright year tuple, update;
      - Files-Excluded field, refresh;
    - debian/patches/*:
      - d/p/upstream-source-silence-gcc-unused_variable.patch, integrated;
    - debian/tests/*:
      - d/t/makecheck.tst, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Apr 2019 10:50:51 +0000

gap-io (4.5.4+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Depends field, gap, bump to 4r10p0-4 (Closes: #912914);
      - Standards Version, bump to 4.3.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Dec 2018 10:22:47 +0000

gap-io (4.5.4+ds-2) unstable; urgency=medium

  * Upload to unstable (Closes: #912914).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 05 Nov 2018 07:25:41 +0000

gap-io (4.5.4+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - Files-Excluded field, update;
    - debian/control:
      - Depends field, gap, bump to 4r9p3;
      - Standards Version, bump to 4.2.1 (no change);
      - Homepage field, secure;
      - Vcs-* fields, migration to salsa;
    - debian/rules:
      - get-orig-source target, discard;
    - debian/patches/*:
      - d/p/upstream-source-silence-gcc-unused_variable.patch, introduce;
      - d/p/debianization.patch, refresh;
    - debian/tests/*:
      - d/t/control, uncomment and revisit previously neutralized tests;
      - d/t/makecheck.tst, update;
    - debian/source:
      - d/s/options, remove;
      - d/s/lintian-overrides, update;
    - debian/gap-io.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 30 Oct 2018 07:41:36 +0000

gap-io (4.5.1+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.3 (no change);
    - debian/patches/*:
      - d/p/debianization.patch, refresh;
    - debian/gap-io.docs, README -> README.md ;
    - debian/tests/makecheck.tst, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 12 Jan 2018 16:03:46 +0000

gap-io (4.5.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
      - update;
    - debian/watch:
      - version, bump to version 4;
      - repack policy, revisit;
    - debian/control:
      - debhelper, bump to 10;
      - Standards Version, bump to 4.1.1 (no change);
      - Depends field, bump to gap 4r8p8;
    - debian/patches/*:
      - d/p/debianization.patch, update;
    - debian/rules:
      - debhelper, bump to 10;
      - get-orig-source target, bump to version 4;
    - debian/clean, refresh;
    - debian/makedoc.g, refresh;
    - debian/tests/*, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Nov 2017 13:11:29 +0000

gap-io (4.4.6+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Depends field, bump to GAP 4r8;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Apr 2016 01:23:15 +0000

gap-io (4.4.6+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.7 (no change);
      - Vcs-* fields, secure;
    - debian/copyright:
      - Files-Excluded list, remove test folder;
    - debian/patches/:
      - d/p/debianization.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Mar 2016 05:17:44 +0000

gap-io (4.4.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Vcs-Browser field, correct;
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - X-Source filed, update;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/gap-io.doc-base, correct spelling error as reported by lintian.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 19 Jan 2016 13:15:56 +0000

gap-io (4.4.4+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 16 May 2015 22:11:01 +0000

gap-io (4.4.4+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 18 Nov 2014 04:53:32 +0000

gap-io (4.4.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/repack, refresh;
    - debian/rules:
      - package-contains-timestamped-gzip lintian complain workaround,
        clean up (thanks to the upstream maintainer for providing a clean
        gzip test file);
    - debian/gap-io.doc-base, update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 20 Oct 2014 00:22:18 +0000

gap-io (4.4.1+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/{copyright,watch,patches/,gap-io.doc-base}, refresh;
    - debian/repack, refine;
    - debian/control:
      - Standards Version, bump to 3.9.6 (no change);
    - debian/rules:
      - hardening support, clean up;
      - multiarch support, correct;
      - package-contains-timestamped-gzip lintian complain, resolve
        (issue reported to the uptream maintainers);
    - debian/makedoc.g, reintroduce (to workaround reported bug #763128).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 28 Sep 2014 02:19:08 +0000

gap-io (4.3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/{copyright,control,repack,gap-io.docs}, refresh;
    - debian/watch, path refresh to upstream maintainer github repository;
    - debian/patches/:
      - upstream-autotools-machinery.patch, remove as allowed by GAP 4r7p5-1;
      - debianization.patch, refresh and improve;
    - debian/gap-io.install, install io.so module within debian architecture
      hierarchy wrt GAP 4r7p5-1 new policy;
    - debian/gap-io.links, incorporate into debian/rules in order to
      to create GAP architecture links wrt GAP 4r7p5-1 new policy;
    - debian/rules, see above;
    - debian/gap-io.dirs, reintroduce;
    - debian/{makedoc,check}.g, remove.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Jul 2014 22:16:35 +0000

gap-io (4.2+ds1-1) unstable; urgency=low

  * New original source ball repackaging.
  * Debianization:
    - debian/watch, revisit wrt repacked source ball name.
    - debian/makedoc.g, revisit;
    - debian/clean, add wrt debian/makedoc.g;
    - debian/repack, revisit wrt debian/makedoc.g;
    - debian/control, refresh;
    - debian/gap-io.install:
      - provide manual.css and manual.js;
      - install io.so module in pkg/bin as now allowed by GAP 4r7p2-1;
    - debian/gap-io.dirs, remove.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 01 Mar 2014 14:25:57 +0000

gap-io (4.2+ds-1) unstable; urgency=low

  * Initial release (Closes: #734418).
  * Debianization:
    - debian/copyright in DEP-5 format;
    - debian/control:
      - debhelper build-dep to >= 9;
      - Standards Version 3.9.5;
      - Vcs-* headers.
    - debian/source, format 3.0 (quilt);
    - debian/patches/ patches in DEP-3 format;
    - debian/watch file;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - autoreconf-iguration;
      - full and minal dh integration;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
      - remark: the regeneration of the documention provides in fact a
        self-test suite substitute.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 Jan 2014 07:56:22 +0000
